org.apache.tinkerpop.gremlin.structure.util.detached

## Class DetachedPropertyTest

- java.lang.Object
- - org.apache.tinkerpop.gremlin.AbstractGremlinTest
  - - org.apache.tinkerpop.gremlin.structure.util.detached.DetachedPropertyTest

-     public class DetachedPropertyTest
      extends AbstractGremlinTest

  Author:
    Stephen Mallette (http://stephen.genoprime.com)

- - ### Field Summary

    - ### Fields inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `config, g, graph, graphProvider, name, shouldTestIteratorLeak`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DetachedPropertyTest()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `shouldAttachToGraph()`
    `void` | `shouldAttachToVertex()`
    `void` | `shouldBeEqualProperties()`
    `void` | `shouldBeEqualPropertiesWithSameKeyValueAndDifferentElement()`
    `void` | `shouldConstructDetachedPropertyWithPropertyFromEdge()`
    `void` | `shouldNotBeEqualPropertiesAsThereIsDifferentKey()`
    `void` | `shouldNotBeEqualPropertiesAsThereIsDifferentValue()`
    `void` | `shouldNotConstructNewWithSomethingAlreadyDetached()`
    `void` | `shouldNotSupportRemove()`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `afterLoadGraphWith, assertVertexEdgeCounts, beforeLoadGraphWith, convertToEdge, convertToEdgeId, convertToEdgeId, convertToVertex, convertToVertex, convertToVertexId, convertToVertexId, convertToVertexProperty, convertToVertexPropertyId, convertToVertexPropertyId, getAssertVertexEdgeCounts, printTraversalForm, setup, tearDown, tryCommit, tryCommit, tryRollback, validateException, verifyUniqueStepIds`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DetachedPropertyTest

          public DetachedPropertyTest()

  - ### Method Detail

    - #### shouldNotConstructNewWithSomethingAlreadyDetached

          public void shouldNotConstructNewWithSomethingAlreadyDetached()

    - #### shouldConstructDetachedPropertyWithPropertyFromEdge

          public void shouldConstructDetachedPropertyWithPropertyFromEdge()

    - #### shouldNotSupportRemove

          public void shouldNotSupportRemove()

    - #### shouldBeEqualProperties

          public void shouldBeEqualProperties()

    - #### shouldAttachToGraph

          public void shouldAttachToGraph()

    - #### shouldAttachToVertex

          public void shouldAttachToVertex()

    - #### shouldBeEqualPropertiesWithSameKeyValueAndDifferentElement

          public void shouldBeEqualPropertiesWithSameKeyValueAndDifferentElement()

    - #### shouldNotBeEqualPropertiesAsThereIsDifferentValue

          public void shouldNotBeEqualPropertiesAsThereIsDifferentValue()

    - #### shouldNotBeEqualPropertiesAsThereIsDifferentKey

          public void shouldNotBeEqualPropertiesAsThereIsDifferentKey()

Copyright © 2013–2022 Apache Software Foundation. All rights reserved.